#!/usr/bin/perl -w

# $Id: dr_reply-hook.pl,v 1.1 2006/08/06 22:31:14 semik Exp $
#
# dr_reply-hook.pl is plugin to implementing dead-realm feature for
# Radiator as replacement for dead-host feature which is not suitable
# for proxy networks such as eduroam.
#
# Author: Jan Tomek <jan.tomasek@cesnet.cz>, <jan@tomasek.cz>
# Copyright (c) 2006, CESNET, z.s.p.o.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# See README and COPYING for more details.

sub {
  my $username = ${$_[3]}->get_attr('User-Name');
  my $hostname = ${$_[3]}->{ThisHost}->{Name};
  my $realm = semik_get_realm($username) || 'unknown-realm';

  if (defined($main::deadRealms->{$hostname}->{$realm})) {
    # Remove dead mark
    undef $main::deadRealms->{$hostname}->{$realm};
    &main::log($main::LOG_DEBUG, "dead-realm: Clearing dead mark for \@$realm on host $hostname.");
  };
};

