#!/usr/bin/perl -w

# $Id: dr_no-reply-hook.pl,v 1.1 2006/08/06 22:31:04 semik Exp $
#
# dr_no-reply-hook.pl is plugin to implementing dead-realm feature for
# Radiator as replacement for dead-host feature which is not suitable
# for proxy networks such as eduroam.
#
# Author: Jan Tomek <jan.tomasek@cesnet.cz>, <jan@tomasek.cz>
# Copyright (c) 2006, CESNET, z.s.p.o.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# See README and COPYING for more details.

sub semik_get_realm {
  my $username = shift;

  return $1 if ($username =~ /@(.+)$/);
  return undef;
}

sub {
  my $username = ${$_[1]}->get_attr('User-Name');
  my $hostname = ${$_[1]}->{ThisHost}->{Name};
  my $realm = semik_get_realm($username) || 'unknown-realm';

  # Mark this host dead for this realm
  $main::deadRealms->{$hostname}->{$realm} = time;
  &main::log($main::LOG_DEBUG, "dead-realm: Marking \@$realm dead on host $hostname.");
};
